petsc-3.6.2 2015-10-02
Report Typos and Errors

# AOPetscToApplication

Maps a set of integers in the PETSc ordering to the application-defined ordering.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOPetscToApplication(AO ao,PetscInt n,PetscInt ia[])

Collective on AO

### Input Parameters

| ao | - the application ordering context
| n | - the number of integers
| ia | - the integers; these are replaced with their mapped value

### Output Parameter

ia -the mapped integers

### Note

Any integers in ia[] that are negative are left unchanged. This allows one to convert, for example, neighbor lists that use negative entries to indicate nonexistent neighbors due to boundary conditions, etc.

Integers that are out of range are mapped to -1

### Keywords

application ordering, mapping

### See Also

AOCreateBasic(), AOView(),AOApplicationToPetsc(),
AOPetscToApplicationIS(), AOApplicationToPetsc()

Level:beginner
Location:src/vec/is/ao/interface/ao.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages